Data Infrastructure Management Software Discussions

Highlighted

How to run OneCollect 1.9 on Windows? max_workers must be <=61

Anyone have any idea how to get past this error? It occurs whenever OneCollect.exe is run. I'm using 1.9 on Windows.

max_workers must be <= 61

 

Is there a configuration setting that can be updated to set the max_workers below 61? I've found nothing helpful in the documentation and further research suggests solutions that don't appear to be applicable after it is compiled.

 

Error:

max_workers must be <= 61
max_workers must be <= 61
Traceback (most recent call last):
File "EWT_Tools\manage.py", line 347, in <module>
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "C:\Jenkins_workspace\workspace\OneCollect\onecollect_venv\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
File "EWT_Tools\onecollect_server\views.py", line 39, in <module>
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "C:\Jenkins_workspace\workspace\OneCollect\onecollect_venv\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
File "EWT_Tools\onecollect_engine\asup\api.py", line 36, in <module>
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "C:\Jenkins_workspace\workspace\OneCollect\onecollect_venv\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
File "EWT_Tools\onecollect_engine\hostperf.py", line 40, in <module>
File "lib\site-packages\apscheduler\executors\pool.py", line 53, in __init__
File "concurrent\futures\process.py", line 523, in __init__
ValueError: max_workers must be <= 61
[8368] Failed to execute script manage

Try the NEW Knowledgebase!
NetApp KB Site
Forums